<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion();	

$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ordenacion de materias</title>

<script type="text/javascript">
  // When the document is ready set up our sortable with it's inherant function(s)
$(document).ready(function() {
	cargar();		
});

function cargar(){	  
		$("#guardar_ord").showLoading();
		$.post("mod_areas/asignatura_lis_orden.php",function(data){
			$("#ordenar").html(data);			
			order();
			$("#guardar_ord").hideLoading();
			
			$("#test-list li").hover(
			function(){
				$(this).addClass("sombra");
			},function(){
				$(this).removeClass("sombra");
			}
		)
		})
		
		
}
	
function order(){
$(document).ready(function() {	

	$("#test-list").sortable({revert: true});


//-----------------------------------------------	
	$("#guardar_ord").click(function(e){
		e.preventDefault()
		  var order = $('#test-list').sortable('serialize');
		  $("#tb_ord").showLoading();
  		  $.post("mod_areas/asignatura_ac_orden.php",$('#test-list').sortable('serialize'), function(data){
			  cargar();
			  $("#tb_ord").hideLoading();
		  });	
	})
	
});
}
</script>
<style>
.sombra{
   -webkit-box-shadow: 0px 0px 4px 1px  #9DB8FF;
   -moz-box-shadow: 0px 0px 4px 1px  #9DB8FF;
   -moz-box-shadow: 0px 0px 4px 1px  #9DB8FF;  /* echa la sombra ala derecha o izq , echa la sombra arriba o abajo,  opacidad tamaño, tamaño de la sombra alrededor  */
}

#test-list {
	list-style: none;
	list-style-position:inside;
	margin:0;
	padding:0px;
}

#test-list li {
	margin:0px;
	padding:0px;
	margin-bottom: 2px;
	background-color: #B9E7FF; /* B9E7FF */
	width:688px;
	height:25px;
	line-height:25px;
	
	border-radius: 10px;  /*propiedad CSS3*/
	-ms-border-radius: 10px; /*// para IE 8 (Actualización: no sirve, fue una especulación pero no funciona en IE8)*/
	-moz-border-radius: 10px; /*// Firefox*/
	-webkit-border-radius: 10px; /*// WebKit y Safari*/
	-khtml-border-radius: 10px;
}

#test-list li img.handle{
	margin-right: 1px;
	margin-left:10px;
	cursor: move;
}
.handle{
	margin-right: 1px;
	margin-left:10px;
	cursor: move;
}

</style>

</head>

<body>
<table border="0" align="center" cellpadding="0" cellspacing="0" id="carga_ord">
  <tr>
    <td><img src="images/guardar.png" width="20" height="20" alt="Guardar" id="guardar_ord" class="opera" /></td>
  </tr>
</table>

<div id="ordenar"></div>

</body>
</html>